package com.artfess.cqlt.manager;

import com.artfess.base.manager.BaseManager;
import com.artfess.cqlt.model.QfOperationSopD;
import com.artfess.cqlt.model.QfOperationSopM;

import java.util.List;

/**
 * 运营--新项目收入贡献填报主表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author 黎沐华
 * @since 2023-02-21
 */
public interface QfOperationSopMManager extends BaseManager<QfOperationSopM> {
    boolean importExcel(List<QfOperationSopD> list, String mainId);

    boolean updateStatus(QfOperationSopM t);

    boolean insertInfo(QfOperationSopM t);

    boolean updateInfo(QfOperationSopM t);

}
